﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Modèle
{
    public class Utilisateur : Personne
    {
        public int NbSubmit { get; private set; }
        public Utilisateur(string mail, string mdp): base(mail, mdp)
        {
            NbSubmit = 0;
        }
        public Utilisateur(string mail, string mdp, int nbSubmit): base(mail, mdp) 
        {
            NbSubmit = nbSubmit;
        }

        public override void changerInfo(string nvEmail, string nvMdp)
        {
            Email = nvEmail;
            MotDePasse = nvMdp;
        }

        public override string ToString()
        {
            return Email + " " + MotDePasse + " " + NbSubmit;
        }
        public int FaireUnSubmit(string nom, string nomSci, string desc, string photo, string video, string photoCarte, Conservation cons, List<Zone> rep, string funFact, List<Requin> lBdPasFinie)
        {
            Requin petitNouveau = new Requin(nom, nomSci, desc, photo, video, photoCarte, cons, rep, funFact);
            lBdPasFinie.Add(petitNouveau);
            NbSubmit++;
            return 1;
        }

        public void FaireUnChangement(Requin req, string desc, string photo, string video, string photoCarte, Conservation cons, List<Zone> rep, string funFact, List<Requin> lBdPasFinie){
            req.ModiferRequin(desc, photo, video, photoCarte, cons, rep, funFact);
            lBdPasFinie.Add(req);
            NbSubmit++;
        }
    }
}
